<?php
session_start();
include ('private/mysql.php');
include ('tmp/head.php');

if($user['hp'] == $user['hpall']){
    header('Location: main.php');
    exit;
}


if(empty($_POST['submit'])){
    
    echo "10% здоровья = <span class='copper money'><span></span> 10</span></span><br><br>";
    
    echo "<form action='sethp.php' method='post'>
    Сколько восстановить:<br>
    <select name='kol' class='enter'>
    <option value=10>10%</option>
    <option value=20>20%</option>
    <option value=30>30%</option>
    <option value=40>40%</option>
    <option value=50>50%</option>
    <option value=80>90%</option>
    </select><br>
    <input type='submit' name='submit' value='Восстановить' class='enter'></form>";
    
}else{
    
    $kol = (int)mysql_real_escape_string(htmlspecialchars($_POST['kol']));
    
    $poc = ($user['hpall']/100)*$kol;
    
    if($poc >= $user['hpall']){
        mysql_query("UPDATE `users` SET `hp`=`hpall` WHERE `id`='$uid'");
        
        echo "Вы полностью восстановили здоровье<br><a href='main.php'>Продолжить</a>";
        
    }else{
        mysql_query("UPDATE `users` SET `hp`=`hp`+'$poc' WHERE `id`='$uid'");
        
        echo "Вы восстановили $poc здоровья<br><a href='main.php'>Продолжить</a>";
    }
    
    
    
    
}



include ('tmp/foot.php');
?>